package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface ProResAuthMapper extends BaseCRUDMapper{


    public List<Map<String, Object>> getAllProResourceTreeByAuthID(Map<String, Object> map);

    public List<Map<String, Object>> getPageAuthByProResourceTreeId(Map<String, Object> map);

    public int getCountAuthByProResourceTreeId(Map<String, Object> map);

    public int updateChangeTargetNodeWithSourceNodeForProResource(Map<String, Object> map);

    void deleteBatchByAuthID(Map<String, Object> map);
}
